package com.jw.app.business.column;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.session.RowBounds;

import com.gaowj.business.exception.BusinessException;

public interface ColumnDAO {
	
    void insert_column(Map<String,Object> entity) throws BusinessException ;
	
	void update_column(Map<String,Object> entity) throws BusinessException ;
	
	void delete_column(List<String> list) throws BusinessException;
	
    List<Map<String,Object>> list_column(RowBounds rowbounds, Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_column(Map<String,Object> query) throws BusinessException ;
    
    int listCount_column(Map<String, Object> query) throws BusinessException ;

}
